Subject: Re: jdk 1.4?

From: Ryan Boder <[email-masked]>
Date: 26 Feb 2002 11:12:15 -0500

On Tue, 2002-02-26 at 11:00, Derrik Pates wrote:
>
> On Tue, Feb 26, 2002 at 11:49:30AM +0100, marc. h. wrote:
> > lack of JIT hurts though. Have you ever tried the IBM j2SDK for PPC?. It's
> > noticeably faster on my Powerbook G3. (you can download it from IBM, just
> > google for it.) Problem is that the IBM jvm has been broken for me since kernel
> > 2.4.16. 2.4.15-pre1 is the last know working kernel for me. On later kernels it
> > just keeps calling sched_yield() endlessly and burns System CPU time. I'd like
> > to fire off an email to IBM about the problem, but don't know exactly where to
> > fire the email off to. I use the blackdown (whose excellent work I appreciate)
> > release now as well.

I had problems with the IBM java also. It worked great the first time
through (running Limewire) but, after that it would always tell me that
it couldn't allocate the needed memory are exit right away.

So I had to switch back to blackdown. I haven't run any actual tests or
anything, but the IBM one seemed faster (probably because it is JIT
enabled), but atleast the blackdown java works.

Ryan

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/